% The values below are for air at 1atm 300K taken from 
% Incropera Appendix
Pr = 0.707;        % Prandtl number of air
nu = S.nu;   % nu = kinematic viscosity of air [nu] = m^2/s
alpha = nu/Pr;     % alpha = thermal conductivity of air [alpha] = [nu]
rho = 1.1614; cp = 1.007*1000; 
k   = alpha*rho*cp;    % thermal conductivity of air [k] = W/(mK)

% Set U and V constant based on a pre-cursor CFD simulation
U = S.U(:,inx); V=S.V(:,inx);

% timestep, make sure Co and CFL are small enough (please see slides)
dt = 0.5e-5;