% How many cells in x and y direction. Domain size taken 
% from velocity data that is loaded above
Nx = 1024; Ny = 128; Lx = S.Lx; Ly = S.Ly;

% reference tables for partial derivative calculations
inx = 2:(Nx-1); iny = 1:(Ny); 
north = iny+1; north(Ny)=1;
east = inx+1;  
south = iny-1; south(1)=Ny;
west = inx-1;

% grid spacing dx and dy - divide by Nx-2 etc due to 2 ghost cell layers
dx = Lx/(Nx-2); dy = Ly/(Ny-2); 

% pre-step to determine the physical location of cell centroids
x=linspace(0,Lx,Nx-2); 
y=linspace(0,Ly,Ny-2); 

% create the "grid" of (x_i, y_j) pairs
% not needed for solution but may be useful in visualization/analysis
[X,Y] = meshgrid(x,y); 
