set(0,'DefaultAxesFontName','Times New Roman')
set(0,'DefaultAxesFontSize',15)

clear *
close all
a=load('FinsSingle.mat');
b=load('FinsMany.mat');


Uin=mean(a.U(:,20)); % m/s calculate the average inflow velocity
L=0.0015; % m fin width = L, height = L
nu = a.nu; % kinematic viscosity
Re = Uin*L/nu; Pr = 0.707; Ts=303; Tin = 273+22; 

%%%%%%%%%%%%%%%%%%%%%%%%%%
% ESTIMATE SOME Nu BELOW
%%%%%%%%%%%%%%%%%%%%%%%%%%
% Hilpert
Nu = 0.683*(Re^0.466)*Pr^(1/3); % exp. based correlation (Hilpert)


%Tbefore = Tm(150); 
%Tafter  = Tm(400);
%dT      = Tafter-Tbefore; 
% T1 = Tm(150); T2 = Tm(250); T3 = Tm(350); % do not do like this
% Tbet_rows = Tm(150:100:850) , 8 values

% h = (a.cp*a.rho*dT*Uin*a.Ly)./(4*L*(Ts-Tin));
% h = (a.cp*a.rho*dT*Uin*a.Ly)/(4*L*(Ts-Tin)); % 7 fin rows -> 7 h values
% dT would have 7 increments dT = diff(Tbet_rows) ; dT(1)=Tbet_rows(2) - Tbet_rows(1)
% Nu_sim = h*L/a.k;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure(1), clf
imagesc([min(min(a.X)) max(max(a.X))],[min(min(a.Y)) max(max(a.Y))], a.U)   
 axis equal, axis tight, colormap jet, hold on, colorbar

% helper tables to pick only e.g. every 5th vector 
qiny = a.iny(1:5:length(a.iny)); qinx = a.inx(1:5:length(a.inx));
quiver( a.X(qiny,qinx), a.Y(qiny,qinx), a.U(qiny,qinx), a.V(qiny,qinx),4, 'w')
 
figure(2), clf, box
imagesc([min(min(a.X)) max(max(a.X))],[min(min(a.Y)) max(max(a.Y))], a.T)   
 axis equal, axis tight, colormap jet, hold on, colorbar

%%% CUP MEAN temperature Tm(x) %%%%%%%%%%%%%%%%%%%%%%
%%% cp*rho*U*A*(T2-T1) = Power 
%%% Tm(x) = Integral( U*T dy )/Integral(U dy)  

Tm = mean((a.U).*(a.T(a.iny,a.inx)))./mean(a.U); % Tm(x) 
Um = mean(a.U);

figure(3), clf, box
%plot(a.X(1,:),Tm,'o-')
plot(Tm,'o-')

% We want to find rate of heat transfer 
% -> J/s 
% Power = cp*rho*A*U*(Tafter-Tbefore)
Tafter = Tm(400);
Tbefore = Tm(100);

% Watts

% Basic heat rate to the system assuming 1m long wire 
Power = a.cp*a.rho*a.Ly*1*Um(2)*(Tafter-Tbefore);

% Newtons cooling law = increase of temperature i.e. gas energy 
% For single fin: monitoring columns will be 150 and 400 

%h*As*(Ts-Tin) = cp*rho*dT*Uin*Ac;  % As=surface area of the fin = 4*L*Lz
                                    % Ac=cross-sectional area = Lz*Ly
%-> h*4*L*Lz*(Ts-Tin) = cp*rho*dT*Uin*Ly*Lz, Lz=1m canceled out

% Single fin h
h=Power/(4*L*(Ts - Tin)); % W/m2K
% Single fin Nu
Nu = h*L/a.k;
% Correlation equation 
Nu_c = 0.683*(Re^(0.466))*Pr^0.3333333

%%%%%%%%%%%%%%%% Multiple fin case 
figure(22), clf, box
imagesc([min(min(b.X)) max(max(b.X))],[min(min(b.Y)) max(max(b.Y))], b.T)   
 axis equal, axis tight, colormap jet, hold on, colorbar

Tmb = mean((b.U).*(b.T(b.iny,b.inx)))./mean(b.U); % Tm(x) 
Umb = mean(b.U);

figure(33)
plot(Tmb,'o-')

Trows = Tmb(160:100:860);

figure(44),clf, box
plot([0:7],Trows,'o-')
xlabel('Nth row')


                                   
                                   
                                   





