%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Copyright Ville Vuorinen (2019)
% No guarantee of code functionality
% FILE: heat2dfins.m 
% PURPOSE: a code that aims to solve heat transport
% in 2d with a provided (fixed) velocity distribution.
% This code loads either a single fin or multiple fin 
% precursor CFD simulation velocity data and uses 
% that static velocity field (U(x,y),V(x,y)) to transport the 
% temperature scalar using convection-diffusion equation. 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
set(0,'DefaultAxesFontName','Times New Roman')
set(0,'DefaultAxesFontSize',15)


clear *
close all

% two data sets available: single fin (VeldataSingle.mat) 
% and multiple (Veldata.mat) fin

Single = 2; % 1=single fin; 2 = many fins

LoadVelocityFromCFDsimulation;

% The chosen values for T are here made to match with classroom exp
Tleft = 273 + 22; Thot = 273+30;

DefineGridStuff;

% initialize temperature
T = Tleft*ones(Ny,Nx);
CFLmax = 0.1;

DefineFluidAndThermodynamicProperties;



dxmin = min(dx,dy);

giveInfo; 
% into giveInfo.m file you can add any info to be printed on the screen

setTBCs;
for(t=1:8000)
setTBCs;
solveTemperature; 
visualizeResults;
end

save(MyFile, 'T', 'U', 'V', 'X', 'Y', 'Lx', 'Ly', 'alpha', 'nu', 'k', 'rho', 'cp', 'iny','inx','dx','dy');
% STEP I completed - Matlabprimer 




